For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a folder
      • GETReturns a folder's details
      • PUTUpdate a folder
      • GETGet all folders
      • DELDelete a folder (and all its lists)
      • GETGet lists in a folder
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementFolders

Get lists in a folder

GET
https://api.brevo.com/v3/contacts/folders/:folderId/lists
GET
/v3/contacts/folders/:folderId/lists
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.getFolderLists(1, {});
8}
9main();
1{
2 "count": 3,
3 "lists": [
4 {
5 "id": 46,
6 "name": "Reactiv",
7 "totalBlacklisted": 0,
8 "totalSubscribers": 7655,
9 "uniqueSubscribers": 7655
10 },
11 {
12 "id": 41,
13 "name": "NY_Area",
14 "totalBlacklisted": 23,
15 "totalSubscribers": 3654,
16 "uniqueSubscribers": 3677
17 },
18 {
19 "id": 22,
20 "name": "VIP_Customer",
21 "totalBlacklisted": 72,
22 "totalSubscribers": 8753,
23 "uniqueSubscribers": 8826
24 }
25 ]
26}
<Note>Ongoing changes for this endpoint. We're dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.</Note>
Was this page helpful?
Previous

Get all the contacts

Next
Built with
Ongoing changes for this endpoint. We’re dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

folderIdlongRequired
Id of the folder

Query parameters

limitlongOptional0-50Defaults to 10
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document of the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Folder's Lists details
countlong
Number of lists in the folder
listslist of objects

Errors

400
Bad Request Error
404
Not Found Error